Upstream information

CVE-2007-5333 at MITRE

Description

Apache Tomcat 6.0.0 through 6.0.14, 5.5.0 through 5.5.25, and 4.1.0 through 4.1.36 does not properly handle (1) double quote (") characters or (2) %5C (encoded backslash) sequences in a cookie value, which might cause sensitive information such as session IDs to be leaked to remote attackers and enable session hijacking attacks. NOTE: this issue exists because of an incomplete fix for CVE-2007-3385.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entries: 360502 [RESOLVED / FIXED], 360503 [RESOLVED / FIXED], 427726 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Novell Linux Desktop 9 SDK for x86
Novell Linux Desktop 9 SDK for x86_64
  • jakarta-tomcat >= 5.0.19-29.13
core9.s390
sles9-oes.x86
YOU Patch Nr: 12116
Open Enterprise Server
  • apache-jakarta-tomcat-connectors >= 5.0.19-29.13
  • apache2-jakarta-tomcat-connectors >= 5.0.19-29.13
  • jakarta-tomcat >= 5.0.19-29.13
  • jakarta-tomcat-doc >= 5.0.19-29.13
  • jakarta-tomcat-examples >= 5.0.19-29.13
core9.s390
sles9-oes.x86
YOU Patch Nr: 12116